<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml">
<head>
<meta http-equiv="content-type" content="text/html; charset={$CONTENT_ENCODING}" />
<meta name="robots" content="noindex,nofollow" />
<title>{$GALLERY_TITLE}</title>
<link rel="stylesheet" type="text/css" href="{$PLUGIN_ROOT_URL}/template/style.css?v={$RVM_PLUGIN_VERSION}" />
<!--[if IE]>
<style type="text/css">
v\:* {ldelim}
  behavior:url(#default#VML);
}
</style>
<![endif]-->
<!--[if lt IE 7]>
<style type="text/css">
	#map {ldelim} position:auto; height: 100%; }
</style>
<![endif]-->

<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key={$GMAPS_API_KEY}&amp;hl={$lang_info.code}" type="text/javascript"></script>
<script src="{$PLUGIN_ROOT_URL}/template/data_loader.js?v={$RVM_PLUGIN_VERSION}" type="text/javascript"></script>
<script src="{$PLUGIN_ROOT_URL}/template/data_handler.js?v={$RVM_PLUGIN_VERSION}" type="text/javascript"></script>
<script src="{$PLUGIN_ROOT_URL}/template/page_linker.js?v={$RVM_PLUGIN_VERSION}" type="text/javascript"></script>

<script src="{$PLUGIN_ROOT_URL}/template/windows_13/javascripts/prototype.js" type="text/javascript"></script>
<link href="{$PLUGIN_ROOT_URL}/template/windows_13/themes/default.css" rel="stylesheet" type="text/css" />
<link href="{$PLUGIN_ROOT_URL}/template/windows_13/themes/alphacube.css" rel="stylesheet" type="text/css" />

<script type="text/javascript">{literal}
//<![CDATA[
var map;
var geocoder;

document.is_debug = false;
if ( document.location.search.match(/[\?&]debug/) ) {
	document.is_debug = true;
	document._window = window;
}
  
function load()
{
	if (!GBrowserIsCompatible())
	return;

	var mapElement = document.getElementById("map");
	map = new GMap2( mapElement );

	map.addMapType( G_PHYSICAL_MAP );
	map.addControl(new GLargeMapControl3D());
	map.addControl(new GHierarchicalMapTypeControl());
	map.addControl(new GScaleControl());

	pwgPageLinker = new PageLinker(map, "aLinkToThisPage" );
	if ( !map.isLoaded() )
	{
{/literal}
		{if isset($initial_bounds)}
		var bounds = new GLatLngBounds( new GLatLng({$initial_bounds.s},{$initial_bounds.w}), new GLatLng({$initial_bounds.n},{$initial_bounds.e}) );
		map.setCenter( bounds.getCenter(), map.getBoundsZoomLevel( bounds ) );
		{/if}
{literal}
		if ( !map.isLoaded() )
			map.setCenter( new GLatLng(0,0), 2 );
	}

	try {
		// the overview must be added after setting map center
		var ovcontrol = new GOverviewMapControl(new GSize(165,165));
		map.addControl(ovcontrol);
	}
	catch(e){ alert( e.message ); }

	map.enableScrollWheelZoom();
	map.enableDoubleClickZoom();

	var pwgMarkerIcon = (function(){ {/literal}{$MAP_MARKER_ICON_JS}{literal} }).call(null);

	map.pwgDataLoader = new PwgDataLoader(map, {rectangle_of_confusion: pwgMarkerIcon.iconSize} );
	GEvent.addListener(map.pwgDataLoader, "dataloading", function() {
		var pre = '<img src="{/literal}{$PLUGIN_ROOT_URL}{literal}/icons/progress_s.gif" width="16" height="16" alt="~" /> ';
		document.getElementById("dataLoadStatus").innerHTML = pre + Localization.get("Loading");
		}
	);
  
	GEvent.addListener(map.pwgDataLoader, "dataloadfailed", function(responseCode) {
		document.getElementById("dataLoadStatus").innerHTML = Localization.get("Failed") + " "+responseCode;
		}
		);

	map.pwgDataHandler = new PwgDataHandler(map, {icon: pwgMarkerIcon, show_all_img_src: "{/literal}{$PLUGIN_ROOT_URL}{literal}/icons/pic_s.gif" } );
	GEvent.addListener(map.pwgDataLoader, "dataloaded", map.pwgDataHandler.handle.bind(map.pwgDataHandler) );

	map.pwgDataLoader.start( "{/literal}{$U_MAP_DATA}{literal}" );

	if (document.is_debug)
	{
		GEvent.addListener(map, "moveend", function() { GLog.write("movend c:"+map.getCenter().toUrlValue());} );
		GEvent.addListener(map, "maptypechanged", function() { GLog.write("maptypechanged");} );
		GEvent.addListener(map, "infowindowopen", function() { GLog.write("infowindowopen");} );
		GEvent.addListener(map, "infowindowclose", function() { GLog.write("infowindowclose");} );
	}
}

function unload()
{
	if (map)
	{
		!map.pwgDataLoader || map.pwgDataLoader.terminate();
		!map.pwgDataHandler || map.pwgDataHandler.terminate();
	}
	GUnload();
}

function searchLocation(q)
{
	if (!q.length) return false;
	if (!geocoder)
		geocoder = new GClientGeocoder();
	geocoder.getLocations(q, function(resp)
	  {
		if ( resp && resp.Status )
		{
		  document._geoResponse = resp;
		  if (resp.Status.code==200)
		  {
			var zoom = 2;
			switch (resp.Placemark[0].AddressDetails.Accuracy)
			{
			  case 1: zoom=5; break; //country
			  case 2: zoom=7; break; //region
			  case 3: zoom=8; break; //county
			  case 4: zoom=12; break; //town
			  case 5: zoom=13; break; //post code
			  case 6: zoom=14; break; //street
			  case 7: case 8: zoom=16; break; //intersection/exact
			}
			map.setCenter( new GLatLng( resp.Placemark[0].Point.coordinates[1], resp.Placemark[0].Point.coordinates[0] ), zoom);
		  }
		  else
			alert("This address has not been found\nCode:"+resp.Status.code);
		}
	  });
	return false;
}


var Localization =
{
  _strings: {
{/literal}
"go to %s": "{'go to %s'|@translate|@escape:javascript}",
"Next": "{'Next'|@translate|@escape:javascript}",
"Prev": "{'Prev'|@translate|@escape:javascript}",
"out of %d": "{'out of %d'|@translate|@escape:javascript}",
"Loading": "{'Loading'|@translate|@escape:javascript}",
"Failed": "{'Failed'|@translate|@escape:javascript}",
"Show all": "{'Show all'|@translate|@escape:javascript}",
"show all pictures around this location": "{'show all pictures around this location'|@translate|@escape:javascript}",
"displays %s on a map" : "{'displays %s on a map'|@translate|@escape:javascript}",
"opens %s in Google Earth" : "{'opens %s in Google Earth'|@translate|@escape:javascript}",
"%d elements" : "{'%d elements'|@translate|@escape:javascript}",
{literal}
dontMindTheComma: ""
    },

  get: function( str ) {
		var lang_str = this._strings[str];
		if (lang_str == undefined)
		{
			if (document.is_debug) GLog.write("Language string undefined '"+ str+"'");
			return str;
		}
		return lang_str;
	},

  getQ: function( str ) {
		return '"'+this.get(str)+'"';
	},

  fmt1: function () {
		var args = $A(arguments);
		var str = args.shift();
		str = this.get(str);
		str = str.replace( '%s', "#\{0\}" ).replace( '%d', "#\{0\}" );
		return new Template(str).evaluate( args );
	}
}
{/literal}
//]]>
</script>
</head>

<body onload="load()" onunload="unload()">

<div id="titlebar">
  <div class="titlebar_links" >
    <span id="dataLoadStatus"></span>
    <a id="aKml" href="" type="application/vnd.google-earth.kml+xml" class="gmnoprint"><img src="http://maps.google.com/mapfiles/ms/view_as_kml.png" width="16" height="16" alt="kml" /> <span>KML</span></a>
    <a id="aLinkToThisPage" href="" class="gmnoprint"><img src="http://maps.google.com/mapfiles/bar_icon_link.gif" alt="&lt;-&gt;" width="16" height="16" /> <span>{'Link to this page'|@translate}</span></a>
    <a id="aBlowup" href="" onclick="return PwgDataHandler.blowupUrl(this.href);" class="gmnoprint" title="{'show all pictures around this location'|@translate}">
			<img src="{$PLUGIN_ROOT_URL}/icons/pic_s.gif" alt="" title="{'show all pictures around this location'|@translate}" />
			<span>{'Show all'|@translate}</span>
		</a>
    <span class="gmnoprint">
			<form action="#" onsubmit="if (this.q.value!='' &amp;&amp; this.q.value!='{'Search a location...'|@translate|@escape:javascript}') searchLocation(this.q.value);return false;">
				<input type="text" size="32" name="q"
					value="{'Search a location...'|@translate}"
					onfocus="if (value=='{'Search a location...'|@translate|@escape:javascript}') value='';"
					onblur="if (value=='') value='{'Search a location...'|@translate|@escape:javascript}'" />
				<input type="submit" value="{'Search'|@translate}"/>
			</form>
		</span>
  </div>
  <div class="titlebar_title">
    <a href="{$U_HOME}" title="{'return to homepage'|@translate}" class="gmnoprint">{'home'|@translate}</a>
    <a href="{$U_HOME_MAP}" title="{'displays all images on a map'|@translate}"><img src="{$PLUGIN_ROOT_URL}/icons/map_sw.gif" width="32" height="17" alt="map"/></a>
    {'Viewing'|@translate}: <a id="aPageUrl" href=""></a>
  </div>
</div>

<div id="map"> </div>
<script src="{$PLUGIN_ROOT_URL}/template/windows_13/javascripts/window.js" type="text/javascript" defer="defer"></script>
</body>
</html>